_ADXL345_Write:
;accel_driver.c,50 :: 		void ADXL345_Write(unsigned short address, unsigned short data1)
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;accel_driver.c,52 :: 		I2C2_Start();                      // issue I2C start signal
SW	R25, 4(SP)
JAL	_I2C2_Start+0
NOP	
;accel_driver.c,53 :: 		I2C2_Write(0x3A);                  // send byte via I2C  (device address + W)
SB	R25, 8(SP)
ORI	R25, R0, 58
JAL	_I2C2_Write+0
NOP	
LBU	R25, 8(SP)
;accel_driver.c,54 :: 		I2C2_Write(address);               // send byte (address of the location)
JAL	_I2C2_Write+0
NOP	
;accel_driver.c,55 :: 		I2C2_Write(data1);                 // send data (data to be written)
ANDI	R25, R26, 255
JAL	_I2C2_Write+0
NOP	
;accel_driver.c,56 :: 		I2C2_Stop();                       // issue I2C stop signal
JAL	_I2C2_Stop+0
NOP	
;accel_driver.c,57 :: 		}
L_end_ADXL345_Write:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _ADXL345_Write
_ADXL345_Read:
;accel_driver.c,66 :: 		unsigned short ADXL345_Read(unsigned short address)
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;accel_driver.c,68 :: 		unsigned short tmp = 0;
SW	R25, 4(SP)
;accel_driver.c,70 :: 		I2C2_Start();                      // issue I2C start signal
JAL	_I2C2_Start+0
NOP	
;accel_driver.c,71 :: 		I2C2_Write(0x3A);                  // send byte via I2C (device address + W)
SB	R25, 8(SP)
ORI	R25, R0, 58
JAL	_I2C2_Write+0
NOP	
LBU	R25, 8(SP)
;accel_driver.c,72 :: 		I2C2_Write(address);               // send byte (data address)
JAL	_I2C2_Write+0
NOP	
;accel_driver.c,74 :: 		I2C2_Start();                      // issue I2C signal repeated start
JAL	_I2C2_Start+0
NOP	
;accel_driver.c,75 :: 		I2C2_Write(0x3B);                  // send byte (device address + R)
ORI	R25, R0, 59
JAL	_I2C2_Write+0
NOP	
;accel_driver.c,76 :: 		tmp = I2C2_Read(1);                // Read the data (NO acknowledge)
ORI	R25, R0, 1
JAL	_I2C2_Read+0
NOP	
; tmp start address is: 16 (R4)
ANDI	R4, R2, 255
;accel_driver.c,77 :: 		I2C2_Stop();                       // issue I2C stop signal
JAL	_I2C2_Stop+0
NOP	
;accel_driver.c,79 :: 		return tmp;
ANDI	R2, R4, 255
; tmp end address is: 16 (R4)
;accel_driver.c,80 :: 		}
;accel_driver.c,79 :: 		return tmp;
;accel_driver.c,80 :: 		}
L_end_ADXL345_Read:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _ADXL345_Read
_ADXL345_Init:
;accel_driver.c,89 :: 		char ADXL345_Init(void)
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;accel_driver.c,91 :: 		char id = 0x00;
SW	R25, 4(SP)
SW	R26, 8(SP)
;accel_driver.c,94 :: 		ADXL345_Write(0x2D, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 45
JAL	_ADXL345_Write+0
NOP	
;accel_driver.c,96 :: 		id = ADXL345_Read(0x00);
MOVZ	R25, R0, R0
JAL	_ADXL345_Read+0
NOP	
;accel_driver.c,98 :: 		if (id != 0xE5)
ANDI	R3, R2, 255
ORI	R2, R0, 229
BNE	R3, R2, L__ADXL345_Init13
NOP	
J	L_ADXL345_Init0
NOP	
L__ADXL345_Init13:
;accel_driver.c,100 :: 		return _ACCEL_ERROR;
ORI	R2, R0, 2
J	L_end_ADXL345_Init
NOP	
;accel_driver.c,101 :: 		}
L_ADXL345_Init0:
;accel_driver.c,104 :: 		ADXL345_Write(_DATA_FORMAT, 0x08);       // Full resolution, +/-2g, 4mg/LSB, right justified
ORI	R26, R0, 8
ORI	R25, R0, 49
JAL	_ADXL345_Write+0
NOP	
;accel_driver.c,105 :: 		ADXL345_Write(_BW_RATE, 0x0A);           // Set 100 Hz data rate
ORI	R26, R0, 10
ORI	R25, R0, 44
JAL	_ADXL345_Write+0
NOP	
;accel_driver.c,106 :: 		ADXL345_Write(_FIFO_CTL, 0x80);          // stream mode
ORI	R26, R0, 128
ORI	R25, R0, 56
JAL	_ADXL345_Write+0
NOP	
;accel_driver.c,107 :: 		ADXL345_Write(_POWER_CTL, 0x08);         // POWER_CTL reg: measurement mode
ORI	R26, R0, 8
ORI	R25, R0, 45
JAL	_ADXL345_Write+0
NOP	
;accel_driver.c,108 :: 		return 0x00;
MOVZ	R2, R0, R0
;accel_driver.c,110 :: 		}
;accel_driver.c,108 :: 		return 0x00;
;accel_driver.c,110 :: 		}
L_end_ADXL345_Init:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _ADXL345_Init
_Accel_ReadX:
;accel_driver.c,119 :: 		int Accel_ReadX(void)
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;accel_driver.c,124 :: 		Out_x = ADXL345_Read(_DATAX1);
SW	R25, 4(SP)
ORI	R25, R0, 51
JAL	_ADXL345_Read+0
NOP	
; Out_x start address is: 20 (R5)
ANDI	R5, R2, 255
;accel_driver.c,125 :: 		low_byte = ADXL345_Read(_DATAX0);
ORI	R25, R0, 50
JAL	_ADXL345_Read+0
NOP	
;accel_driver.c,127 :: 		Out_x = (Out_x << 8);
SEH	R3, R5
; Out_x end address is: 20 (R5)
SLL	R3, R3, 8
;accel_driver.c,128 :: 		Out_x = (Out_x | low_byte);
ANDI	R2, R2, 255
OR	R2, R3, R2
;accel_driver.c,130 :: 		return Out_x;
;accel_driver.c,131 :: 		}
;accel_driver.c,130 :: 		return Out_x;
;accel_driver.c,131 :: 		}
L_end_Accel_ReadX:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _Accel_ReadX
_Accel_ReadY:
;accel_driver.c,140 :: 		int Accel_ReadY(void)
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;accel_driver.c,145 :: 		Out_y = ADXL345_Read(_DATAY1);
SW	R25, 4(SP)
ORI	R25, R0, 53
JAL	_ADXL345_Read+0
NOP	
; Out_y start address is: 20 (R5)
ANDI	R5, R2, 255
;accel_driver.c,146 :: 		low_byte = ADXL345_Read(_DATAY0);
ORI	R25, R0, 52
JAL	_ADXL345_Read+0
NOP	
;accel_driver.c,148 :: 		Out_y = (Out_y << 8);
SEH	R3, R5
; Out_y end address is: 20 (R5)
SLL	R3, R3, 8
;accel_driver.c,149 :: 		Out_y = (Out_y | low_byte);
ANDI	R2, R2, 255
OR	R2, R3, R2
;accel_driver.c,151 :: 		return Out_y;
;accel_driver.c,152 :: 		}
;accel_driver.c,151 :: 		return Out_y;
;accel_driver.c,152 :: 		}
L_end_Accel_ReadY:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _Accel_ReadY
_Accel_ReadZ:
;accel_driver.c,161 :: 		int Accel_ReadZ(void)
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;accel_driver.c,166 :: 		Out_z = ADXL345_Read(_DATAZ1);
SW	R25, 4(SP)
ORI	R25, R0, 55
JAL	_ADXL345_Read+0
NOP	
; Out_z start address is: 20 (R5)
ANDI	R5, R2, 255
;accel_driver.c,167 :: 		low_byte = ADXL345_Read(_DATAZ0);
ORI	R25, R0, 54
JAL	_ADXL345_Read+0
NOP	
;accel_driver.c,169 :: 		Out_z = (Out_z << 8);
SEH	R3, R5
; Out_z end address is: 20 (R5)
SLL	R3, R3, 8
;accel_driver.c,170 :: 		Out_z = (Out_z | low_byte);
ANDI	R2, R2, 255
OR	R2, R3, R2
;accel_driver.c,172 :: 		return Out_z;
;accel_driver.c,173 :: 		}
;accel_driver.c,172 :: 		return Out_z;
;accel_driver.c,173 :: 		}
L_end_Accel_ReadZ:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _Accel_ReadZ
_Accel_Average:
;accel_driver.c,186 :: 		void Accel_Average(void)
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;accel_driver.c,191 :: 		sx = sy = sz = 0;
; sz start address is: 28 (R7)
MOVZ	R7, R0, R0
; sy start address is: 36 (R9)
MOVZ	R9, R0, R0
; sx start address is: 32 (R8)
MOVZ	R8, R0, R0
;accel_driver.c,194 :: 		for (i=0; i<16; i++){
; i start address is: 24 (R6)
MOVZ	R6, R0, R0
; sx end address is: 32 (R8)
; sy end address is: 36 (R9)
; sz end address is: 28 (R7)
; i end address is: 24 (R6)
L_Accel_Average2:
; i start address is: 24 (R6)
; sx start address is: 32 (R8)
; sy start address is: 36 (R9)
; sz start address is: 28 (R7)
SEH	R2, R6
SLTI	R2, R2, 16
BNE	R2, R0, L__Accel_Average18
NOP	
J	L_Accel_Average3
NOP	
L__Accel_Average18:
;accel_driver.c,195 :: 		sx += Accel_ReadX();
JAL	_Accel_ReadX+0
NOP	
ADDU	R2, R8, R2
SEH	R8, R2
;accel_driver.c,196 :: 		sy += Accel_ReadY();
JAL	_Accel_ReadY+0
NOP	
ADDU	R2, R9, R2
SEH	R9, R2
;accel_driver.c,197 :: 		sz += Accel_ReadZ();
JAL	_Accel_ReadZ+0
NOP	
ADDU	R2, R7, R2
SEH	R7, R2
;accel_driver.c,194 :: 		for (i=0; i<16; i++){
ADDIU	R2, R6, 1
SEH	R6, R2
;accel_driver.c,198 :: 		}
; i end address is: 24 (R6)
J	L_Accel_Average2
NOP	
L_Accel_Average3:
;accel_driver.c,201 :: 		readings[0] = sx >> 4;
SEH	R2, R8
; sx end address is: 32 (R8)
SRA	R2, R2, 4
SH	R2, Offset(_readings+0)(GP)
;accel_driver.c,202 :: 		readings[1] = sy >> 4;
SEH	R2, R9
; sy end address is: 36 (R9)
SRA	R2, R2, 4
SH	R2, Offset(_readings+2)(GP)
;accel_driver.c,203 :: 		readings[2] = sz >> 4;
SEH	R2, R7
; sz end address is: 28 (R7)
SRA	R2, R2, 4
SH	R2, Offset(_readings+4)(GP)
;accel_driver.c,204 :: 		}
L_end_Accel_Average:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _Accel_Average
_ACCEL_Start:
;accel_driver.c,214 :: 		void ACCEL_Start(char *test)
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;accel_driver.c,217 :: 		*test = 0;
SB	R0, 0(R25)
;accel_driver.c,220 :: 		I2C2_Init(250000);
SW	R25, 4(SP)
LUI	R25, 3
ORI	R25, R25, 53392
JAL	_I2C2_Init+0
NOP	
LW	R25, 4(SP)
;accel_driver.c,223 :: 		if (ADXL345_Init() == 0)
JAL	_ADXL345_Init+0
NOP	
ANDI	R2, R2, 255
BEQ	R2, R0, L__ACCEL_Start20
NOP	
J	L_ACCEL_Start5
NOP	
L__ACCEL_Start20:
;accel_driver.c,226 :: 		*test = 1;
ORI	R2, R0, 1
SB	R2, 0(R25)
;accel_driver.c,227 :: 		Delay_ms(500);
LUI	R24, 203
ORI	R24, R24, 29524
L_ACCEL_Start6:
ADDIU	R24, R24, -1
BNE	R24, R0, L_ACCEL_Start6
NOP	
NOP	
NOP	
;accel_driver.c,228 :: 		} else {
J	L_ACCEL_Start8
NOP	
L_ACCEL_Start5:
;accel_driver.c,230 :: 		*test = 2;
ORI	R2, R0, 2
SB	R2, 0(R25)
;accel_driver.c,231 :: 		}
L_ACCEL_Start8:
;accel_driver.c,232 :: 		}
L_end_ACCEL_Start:
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _ACCEL_Start
_ACCEL_Test:
;accel_driver.c,241 :: 		void ACCEL_Test(void)
ADDIU	SP, SP, -48
SW	RA, 0(SP)
;accel_driver.c,248 :: 		Accel_Average();  // Calculate average X, Y and Z reads
SW	R25, 4(SP)
SW	R26, 8(SP)
JAL	_Accel_Average+0
NOP	
;accel_driver.c,252 :: 		rotate.x = (float)readings[0] * 0.35;
LH	R4, Offset(_readings+0)(GP)
JAL	__SignedIntegralToFLoat+0
NOP	
LUI	R4, 16051
ORI	R4, R4, 13107
MOVZ	R6, R2, R0
JAL	__Mul_FP+0
NOP	
SW	R2, Offset(_rotate+0)(GP)
;accel_driver.c,254 :: 		rotate.y = ((float)readings[1] * 0.35);
LH	R4, Offset(_readings+2)(GP)
JAL	__SignedIntegralToFLoat+0
NOP	
LUI	R4, 16051
ORI	R4, R4, 13107
MOVZ	R6, R2, R0
JAL	__Mul_FP+0
NOP	
SW	R2, Offset(_rotate+4)(GP)
;accel_driver.c,258 :: 		IntToStr((int)rotate.x, x_out);
ADDIU	R2, SP, 12
SW	R2, 44(SP)
LW	R4, Offset(_rotate+0)(GP)
JAL	__FloatToSignedIntegral+0
NOP	
LW	R3, 44(SP)
MOVZ	R26, R3, R0
SEH	R25, R2
JAL	_IntToStr+0
NOP	
;accel_driver.c,259 :: 		IntToStr((int)rotate.y, y_out);
ADDIU	R2, SP, 27
SW	R2, 44(SP)
LW	R4, Offset(_rotate+4)(GP)
JAL	__FloatToSignedIntegral+0
NOP	
LW	R3, 44(SP)
MOVZ	R26, R3, R0
SEH	R25, R2
JAL	_IntToStr+0
NOP	
;accel_driver.c,263 :: 		strcpy(rotationString, "Rotate    X: ");
LUI	R26, #hi_addr(?lstr1_accel_driver+0)
ORI	R26, R26, #lo_addr(?lstr1_accel_driver+0)
LUI	R25, #hi_addr(_rotationString+0)
ORI	R25, R25, #lo_addr(_rotationString+0)
JAL	_strcpy+0
NOP	
;accel_driver.c,264 :: 		strcat(rotationString, x_out);
ADDIU	R2, SP, 12
MOVZ	R26, R2, R0
LUI	R25, #hi_addr(_rotationString+0)
ORI	R25, R25, #lo_addr(_rotationString+0)
JAL	_strcat+0
NOP	
;accel_driver.c,266 :: 		strcat(rotationString, "     Y: ");
LUI	R26, #hi_addr(?lstr2_accel_driver+0)
ORI	R26, R26, #lo_addr(?lstr2_accel_driver+0)
LUI	R25, #hi_addr(_rotationString+0)
ORI	R25, R25, #lo_addr(_rotationString+0)
JAL	_strcat+0
NOP	
;accel_driver.c,267 :: 		strcat(rotationString, y_out);
ADDIU	R2, SP, 27
MOVZ	R26, R2, R0
LUI	R25, #hi_addr(_rotationString+0)
ORI	R25, R25, #lo_addr(_rotationString+0)
JAL	_strcat+0
NOP	
;accel_driver.c,271 :: 		}
L_end_ACCEL_Test:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 48
JR	RA
NOP	
; end of _ACCEL_Test
