/*
 * Project name:
     Bounce
 * Generated by:
     Visual TFT
 * Date of creation
     2015-01-17
 * Created By:
     Andrew Hazelden
 * Email:
     andrew@andrewhazelden.com
 * Blog:
     http://www.andrewhazelden.com
 
 * Test configuration:
   MCU:             P32MX460F512L
   Dev.Board:       MikroMMB_for_PIC32_hw_rev_1.10
                    http://www.mikroe.com/eng/products/view/595/mikrommb-for-pic32-board/
   Oscillator:      80000000 Hz
   SW:              mikroC PRO for PIC32
                    http://www.mikroe.com/eng/products/view/623/mikroc-pro-for-pic32/  
                    
                    TFT Graphics Library by Dragan Regodic
                    http://www.libstock.com/projects/view/914/tft-graphics-library
*/

#include "bounce_objects.h"
#include "accel_driver.h"

extern int Render_Screen();
extern void Set_Defaults();
extern void Get_Input();
extern void Start_Game();

//--------------------
// Global variables
//--------------------
unsigned int bg_color = 0;

void main() {
  Set_Defaults();
  Start_TP();
  
  ACCEL_Start(&cACCEL_test_status);
  
  // Start the soccer game
  Start_Game();

  while (1) {
    // Read the accelerometer
    ACCEL_Test();
    
    // Check for user input
    Get_Input();
    
    // Draw the graphics
    Render_Screen();
  }
}