//-----------------------
// Set up the defines
//-----------------------


#define SCREEN_WIDTH 320
#define SCREEN_HEIGHT 240

#define BALL_X_MIN_SPEED 0
#define BALL_X_MAX_SPEED 12

#define BALL_Y_MIN_SPEED 0
#define BALL_Y_MAX_SPEED 6

#define PLAYER_ACCELERATION 3

//Green Grass drawing color
#define GRASS_COLOR 0x03E6

//Debug drawing color grey
#define DEBUG_COLOR 0x8410


//-----------------------
//Set up the variables
//-----------------------

// mikroMedia Gaming Shield Buttons

// PIC32 Controls                
//The button controls are defined here for the PIC32 version
sbit upButton at PORTA.B6;     //up
sbit downButton at PORTA.B7;   //down
sbit rightButton at PORTD.B10; //right
sbit leftButton at PORTA.B5;   //left
sbit triangleButton at PORTD.B14; //triangle up
sbit xButton at PORTD.B15;        //x down
sbit circleButton at PORTF.B4;    //circle right
sbit squareButton at PORTD.B11;   //square left
sbit startButton at PORTF.B5;     //start
// END PIC32 Controls        
  
//-----------------------
//     Game sprites
//-----------------------

// Clear rect for old sprites
struct clear_region{
  int top;
  int left;
  int bottom;
  int right;
};

struct GFX_Rect{
  int x;
  int y;
  int w;
  int h;
};

// Soccer ball object
struct ball_object {

  int x;
  int y;
 
  int w;
  int h;

  int prev_x;
  int prev_y;

  int direction_x;   //negative=left  zero=stopped positive=right
  int direction_y;   //negative=up  zero=stopped positive=down

  int prev_direction_x;
  int prev_direction_y;

  int frame;   // Soccer ball sprite frame number

  int x_speed;   //ball x speed
  int y_speed;   //ball y speed
};


// Character objects
struct character_object {

  int x;
  int y;
 
  int w;
  int h;

  int prev_x;
  int prev_y;

  int direction_x;   //negative=left  zero=stopped positive=right
  int direction_y;   //negative=up  zero=stopped positive=down
   
  int prev_direction_x;   //negative=left  zero=stopped positive=right
  int prev_direction_y;   //negative=up  zero=stopped positive=down
  
  int frame;   //character frame number
  int speed;   //character speed
  int score;   //character score
  int prev_score;  
};

//int top_side = 13;   //the top quarter of a character (player height * 0.25)
//int lower_side = 40; //the lower quarter of a character (player height * 0.75)

int top_side = 19;   //the top 35% of a character (player height * 0.35)
int lower_side = 35; //the lower 35% of a character (player height * 0.65)

// Screen redraw flag
int screen_dirty = 0;

// Frame counter
unsigned long frame_counter = 0;